var _commonHTML = require("dr-js/library/node/server/commonHTML");
var _Send = require("dr-js/library/node/server/Responder/Send");
exports.responderSendDebugPage = (store => (0, _Send.responderSendBuffer)(store, {
  buffer: Buffer.from(GET_DEBUG_HTML()),
  type: "text/html"
}));
const GET_DEBUG_HTML = () => (0, _commonHTML.COMMON_LAYOUT)([], [ (0, _commonHTML.COMMON_SCRIPT)({
  getTaskStatus: () => window.fetch("/status?verbose&pretty", {
    method: "GET"
  }).then(res => res.json()).then(taskStatusList => {
    console.log(taskStatusList);
    document.getElementById("status").innerHTML = JSON.stringify(taskStatusList, null, " ");
  }),
  getTaskStatusDetail: () => window.fetch("/status?verbose", {
    method: "GET"
  }).then(res => res.json()).then(taskStatusList => {
    console.log(taskStatusList);
    document.getElementById("status").innerHTML = JSON.stringify(taskStatusList, null, " ");
  }),
  startDebugTask: (taskData = window.performance.now().toString(36)) => {
    window.fetch("/task", {
      method: "POST",
      body: JSON.stringify({
        taskData
      })
    }).then(res => res.text()).then(text => {
      console.log(taskData, text);
      document.getElementById("log").innerHTML += "\n[Task] " + taskData + " | " + text;
    });
  },
  startDebugTask10: () => {
    for (let i = 0; i < 10; i++) window.startDebugTask();
  },
  startDebugSyncTask: (taskData = window.performance.now().toString(36)) => {
    document.getElementById("log").innerHTML += "\n[SyncTask] start: " + taskData;
    window.fetch("/debug-sync-task", {
      method: "POST",
      body: JSON.stringify({
        taskData
      })
    }).then(res => res.text()).then(text => {
      console.log(taskData, text);
      document.getElementById("log").innerHTML += "\n[SyncTask] end: " + taskData + " | " + text;
    });
  },
  resetLog: () => {
    document.getElementById("log").innerHTML = "LOG";
  }
}), mainHTML ]);
const mainHTML = '\n<button onclick="getTaskStatus()">getTaskStatus</button>\n<button onclick="getTaskStatusDetail()">getTaskStatusDetail</button>\n<button onclick="startDebugTask()">startDebugTask</button>\n<button onclick="startDebugTask10()">startDebugTask10</button>\n<button onclick="startDebugSyncTask()">startDebugSyncTask</button>\n<button onclick="resetLog()">resetLog</button>\n<pre style="display: flex; flex-flow: row; font-size: 12px;">\n  <div id="status" style="border-right: 2px solid #eee;">STATUS</div>\n  <div id="log">LOG</div>\n</pre>\n';