var _Option = require("dr-js/library/node/module/Option");
var _option = require("dr-server/library/option");
const {SingleString, SingleInteger, BooleanFlag, Config} = _Option.ConfigPresetNode;
const OPTION_CONFIG = {
  prefixENV: "imock-snapshot",
  formatList: [ Config, {
    ...BooleanFlag,
    name: "help",
    shortName: "h"
  }, {
    ...BooleanFlag,
    name: "version",
    shortName: "v"
  }, (0, _option.getServerFormatConfig)([ {
    ...SingleString,
    name: "url-server-ping-test"
  }, {
    ...SingleString,
    name: "url-snapshot-app"
  }, {
    ...SingleString,
    name: "url-snapshot-task"
  }, {
    ...SingleInteger,
    name: "task-runner-count"
  }, {
    ...BooleanFlag,
    name: "task-runner-debug-only",
    shortName: "D"
  } ]) ]
};
const {parseOption, formatUsage} = (0, _Option.prepareOption)(OPTION_CONFIG);
exports.formatUsage = formatUsage;
exports.parseOption = parseOption;